import { geoNaturalEarth1, geoPath, geoGraticule } from 'd3';

const projection = geoNaturalEarth1();
const path = geoPath(projection);
const graticule = geoGraticule();

export const Marks = ({
  worldAtlas: { land, interiors },
  migrants,
  sizeScale,
  sizeValue
}) => (
  <g className="marks">
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path className="graticules" d={path(graticule())} />
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
    {migrants.map(d => {
      const [x, y] = projection([d.lng, d.lat]);
      return <circle opacity="0.5" fill={'white'} cx={x} cy={y} r={sizeScale(sizeValue(d))} />;
    })}
  </g>
);
